Summary:        Linux Audio Developer's Simple Plug-in API, examples and tools
Name:           ladspa
Version:        1.13
Release:        3%{?dist}

License:        LGPLv2+
URL:            http://www.ladspa.org/
Source0:        http://www.ladspa.org#/%{name}_sdk_%{version}.tgz
Patch3000:      ladspa-1.13-plugindir.patch

BuildRequires: perl-interpreter gcc-c++ make

%description
There is a large number of synthesis packages in use or development on
the Linux platform at this time. The Linux Audio Developer's Simple
Plugin API (LADSPA) attempts to give programmers the ability to write
simple `plugin' audio processors in C/C++ and link them dynamically
against a range of host applications.

%package        devel
Summary:        Linux Audio Developer's Simple Plug-in API
Requires:       %{name} = %{version}-%{release}

%description    devel
ladspa-devel contains the ladspa.h header file.

Definitive technical documentation on LADSPA plug-ins for both the host
and plug-in is contained within copious comments within the ladspa.h
header file.


%prep
%autosetup -p0 -n ladspa_sdk

perl -pi -e 's/^(CFLAGS.*)-O3(.*)/$1\$\(RPM_OPT_FLAGS\)$2 -DPLUGINDIR=\$\(PLUGINDIR\)/' src/makefile
perl -pi -e 's/-mkdirhier/-mkdir -p/' src/makefile

cd doc
perl -pi -e "s!HREF=\"ladspa.h.txt\"!href=\"file:///usr/include/ladspa.h\"!" *.html


%build
cd src
PLUGINDIR=\\\"%{_libdir}/ladspa\\\" make targets %{?_smp_mflags} LD="ld --build-id"


%install
cd src
make install \
  INSTALL_PLUGINS_DIR=%{buildroot}%{_libdir}/ladspa \
  INSTALL_INCLUDE_DIR=%{buildroot}%{_includedir} \
  INSTALL_BINARY_DIR=%{buildroot}%{_bindir}

mkdir -p %{buildroot}%{_datadir}/ladspa/rdf


%files
%license doc/COPYING
%dir %{_libdir}/ladspa
%{_bindir}/analyseplugin
%{_bindir}/applyplugin
%{_bindir}/listplugins
%{_libdir}/ladspa/*.so
%{_datadir}/ladspa

%files devel
%doc doc/*.html
%{_includedir}/ladspa.h


%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.13-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.13-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Mar 13 2023 cunshunxia <cunshunxia@tencent.com> - 1.13-1
- initial build
